Subject: Re: Checking for fast-forward

From: Florian Mickler <[email-masked]>
Date: Mon, 6 Jul 2009 23:26:14 +0200

this is more of a git question, than smth special to msysgit. 

(git ml cc'd)

On Mon, 6 Jul 2009 17:36:54 +0100
Lee Griffiths <[email-masked]> wrote:

> 
> I have a script that checks for fast-forwarding by doing a git push
> --dry-run. This strikes me as the wrong way to do it as it does _all_
> of the stuff a git push would normally do i.e., packing and so on, and
> I'm only really after the fast-forward check. Seeing as I already do a
> git push at the end of the script (actualy two, as I do a --tags one
> as well[1]), it seems like a big waste of time. Is there anyother way
> to check and see if the git push would work? (I want the script to
> avoid doing a git pull if possible).
> 
> 
> Thanks,
> Lee
> 
> 
> 
> [1] I originally assumed --tags would push the data AND the tags, but
> that doesn't seem to be the case.... Am I wrong in this?
>